# $Revision: 1.25 $, $Date: 2009/04/23 09:39:54 $
Summary:	A lock file lister
Summary(pl.UTF-8):	Program wypisujący pliki blokujące
Name:		lslk
Version:	1.29
Release:	5
License:	Free
Group:		Development/Debuggers
Source0:	ftp://vic.cc.purdue.edu/pub/tools/unix/lslk/%{name}_%{version}_W.tar.gz
# Source0-md5:	cbd17b18bb7ad435c604aa7dc2026c47
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lslk is a lock file lister. Lslk attempts to list all of the locks on
the executing system's local files (i.e., on the active inodes).
Install lslk if you need a utility for listing file locks.

%description -l pl.UTF-8
lslk to program wypisujący pliki blokujące. Próbuje wypisać wszystkie
blokady na lokalnych plikach (czyli aktywnych inodach).

%prep
%setup -q -c -n lslk
tar xf lslk_%{version}.tar

# force linux/proc dialect even if /proc is not mounted on builder
sed -e 's@test -r /proc/locks@true@' lslk_%{version}/Configure > c.tmp
mv -f c.tmp lslk_%{version}/Configure
chmod +x lslk_%{version}/Configure

%build
cd lslk_%{version}
./Configure -n linux
%{__make} \
	DEBUG="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

cd lslk_%{version}

install lslk $RPM_BUILD_ROOT%{_sbindir}
install lslk.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# XXX should be mode 4755, but for now leave the setuid off
%attr(755,root,root) %{_sbindir}/lslk
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lslk.spec,v $
Revision 1.25  2009/04/23 09:39:54  glen
- release 5

Revision 1.24  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.22  2004/01/28 00:03:07  qboosh
- force linux/proc dialect even w/o /proc on builders; release 4

Revision 1.21  2004/01/27 23:41:39  qboosh
- release 3 for Ac

Revision 1.20  2003/05/28 12:59:38  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 05:50:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/02/23 03:36:25  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:13:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/12/04 16:00:32  qboosh
- pl translations; release 2

Revision 1.14  2001/07/18 02:18:09  kloczek
- updated to 1.29.

Revision 1.13  2001/06/16 18:26:00  kloczek
- release 2.

Revision 1.12  2001/04/30 16:05:21  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.10  2001/01/23 11:48:01  kloczek
- updated to 1.28.

Revision 1.9  2000/12/28 15:03:03  baggins
- release 2
- fixed CFLAGS

Revision 1.8  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.7  2000/11/03 07:42:43  kloczek
- updated to 1.27,
- use new rpm automation.

Revision 1.6  2000/08/19 22:07:30  kloczek
- updated to 1.26.

Revision 1.5  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/31 05:49:11  kloczek
- updated to 1.25,
- completly rewrited in PLD style.

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- remove setgid kmem "just in case".

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.19.

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- create.
- leave the setuid root off.
